Please pay attention if you upgrade Debian from Jessie to Stretch

General support for problems installing or using Deluge
shamael
Super Seeder
Super Seeder
Posts: 401
Joined: Sat Oct 08, 2016 9:28 am
OS or Distro: osmc

Please pay attention if you upgrade Debian from Jessie to Stretch

Postby shamael » Thu Mar 01, 2018 4:09 pm

Hi all,

As many I moved to Stretch from a Debian Jessie with Deluged 1.3.15 and libtorrent 1.0.11 installed, RPI3 is the hardware. I found a couple of issues and report them here if useful for any of you.

Issue:
-Deluged CPU usage really higher than before
-Multi-tiers tracker torrents report "connection time out". A few are working but the large majority stay in this state. This is identified for trackers giving multiple tier 0 tracker addresses, e.g. IPTxxxxx
- Error in log

Code: Select all

/usr/lib/python2.7/dist-packages/deluge/_libtorrent.py:59: RuntimeWarning: to-Python converter for boost::shared_ptr<libtorrent::alert> already registered; second conversion method ignored.
  import libtorrent as lt


Checking the changes of course the upgrade made some stuff on package level
dpkg -l |grep -i libtorrent
ii libtorrent-rasterbar8 1.0.11-1~trusty~ppa1.1 armhf C++ bittorrent library by Rasterbar Software
ii libtorrent-rasterbar9 1.1.1-1+b1 armhf C++ bittorrent library by Rasterbar Software
ii python-libtorrent 1.1.1-1+b1 armhf Python bindings for libtorrent-rasterbar


and now Deluge is associated with libtorrent 1.1.1.0
deluged -v
deluged: 1.3.15
/usr/lib/python2.7/dist-packages/deluge/_libtorrent.py:59: RuntimeWarning: to-Python converter for boost::shared_ptr<libtorrent::alert> already registered; second conversion method ignored.
import libtorrent as lt
libtorrent: 1.1.1.0

I guess it may work, but obviously it was better before. With the dependencies stuff and so on here are the steps:
- save your profile (.config) (precaution)
- stop deluged (sudo systemctl stop deluged deluge-web if you followed the systemctl wiki)
- remove deluge and libtorrent
sudo apt-get remove deluged
sudo apt-get remove libtorrent-rasterbar9
- reinstall following my last post http://forum.deluge-torrent.org/viewtop ... rt#p227568

What did I missed when writing it ? Well that python-libtorrent was upgraded hence the association with libtorrent 1.0.11 was moved to 1.1.1.0 . As said it may work but I've better result with 1.0.11 on my setup.

Cheers

Return to “Support”

Who is online

Users browsing this forum: No registered users and 10 guests